# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Crypt/OpenPGP.pm) perl(Digest.pm) perl(Fcntl.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-DBIx-Class-EncodedColumn
Version:        0.00011
Release:        alt1_6
Summary:        Automatically encode columns
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/DBIx-Class-EncodedColumn/
Source0:        http://search.cpan.org/CPAN/authors/id/W/WR/WREIS/DBIx-Class-EncodedColumn-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Crypt/Eksblowfish/Bcrypt.pm)
BuildRequires:  perl(DBD/SQLite.pm)
BuildRequires:  perl(DBIx/Class.pm)
BuildRequires:  perl(Digest/SHA.pm)
BuildRequires:  perl(Dir/Self.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(SQL/Translator.pm)
BuildRequires:  perl(Sub/Name.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
# undetected
Requires:       perl(DBIx/Class.pm)


Source44: import.info

%description
This DBIx::Class component can be used to automatically encode a column's
contents whenever the value of that column is set.

%prep
%setup -q -n DBIx-Class-EncodedColumn-%{version}

sed -i -e '/auto_install/d' Makefile.PL

# no Crypt::OpenPGP in Fedora
rm lib/DBIx/Class/EncodedColumn/Crypt/OpenPGP.pm

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc Changes README
%{perl_vendor_privlib}/DBIx/Class/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.00011-alt1_6
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.00011-alt1_5
- update to new release by fcimport

* Wed Jun 06 2012 Igor Vlasenko <viy@altlinux.ru> 0.00011-alt1_3
- fc import

